aboutsummaryrefslogtreecommitdiffstats
path: root/devel/apr/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'devel/apr/pkg-install')
-rw-r--r--devel/apr/pkg-install15
1 files changed, 15 insertions, 0 deletions
diff --git a/devel/apr/pkg-install b/devel/apr/pkg-install
new file mode 100644
index 000000000000..d80f19c88eda
--- /dev/null
+++ b/devel/apr/pkg-install
@@ -0,0 +1,15 @@
+#!/bin/sh
+# $FreeBSD$
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+pkg_info 'apache-2*' > /dev/null 2<&1
+
+if [ $? = 0 ]; then
+ echo "apr-devel cannot currently be installed alongside apache2. sorry."
+ exit 1
+fi
+
+exit 0